After upgrading from 1.3.0-rc1 to 1.3.0 I get the error ModuleNotFoundError: No module named 'yaml'

Hi,

I'm trying to upgrade nRF Connect SDK from 1.3.0-rc1 to 1.3.0 because I need one of the bugfixes to keep developing.

I'm on macOS catalina and I've used the Toolchain Manager.

Now I get this annoying and apparently well known error message when opening projects:
ModuleNotFoundError: No module named 'yaml'

I can go back out and "Open IDE" for version 1.3.0-rc1 in Toolchain Manager and then it works.

I have fixed my python executable as described in Bjørn's comment at the bottom of this thread.
https://devzone.nordicsemi.com/f/nordic-q-a/62172/thingy91-is-useless-without-working-samples-and-sdk/255301#255301


Best regards,

Jan Erik Foss
BikeFinder





Related